Creative Hub
Move a file
Move a single file from one board to another. Both currentBoardId and targetBoardId are required.
Authentication
authentication api-key<token>
Create an API key from the Adnova dashboard (Account integrations). Pass the key value in the api-key request header on every call.
In: header
Path Parameters
fileId*string
File id.
Length
1 <= lengthHeader Parameters
x-workspace-id*string
Workspace the request operates in. Get it from List workspaces.
Length
1 <= lengthx-org-id*string
Organization context (required on every endpoint).
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.adnova.ai/creative-hub/v1/files/01J8ZF9K8M7N6P5R4S3T2V1W0X/move" \ -H "x-workspace-id: 01J8ZQ9X2K3M4N5P6R7S8T9V0W" \ -H "x-org-id: 01J8ZQ7B3C4D5F6G7H8K9M0N1P" \ -H "Content-Type: application/json" \ -d '{ "targetBoardId": "01J8ZQ9X2K3M4N5P6R7S8T9V0W", "currentBoardId": "01J8ZB1C2D3E4F5G6H7J8K9M0N" }'{
"fileId": "01J8ZF9K8M7N6P5R4S3T2V1W0X",
"boardId": "01J8ZQ9X2K3M4N5P6R7S8T9V0W"
}{
"error": {
"code": "string",
"message": "string"
},
"message": "string"
}{
"error": {
"code": "string",
"message": "string"
},
"message": "string"
}{
"error": {
"code": "string",
"message": "string"
},
"message": "string"
}{
"error": {
"code": "string",
"message": "string"
},
"message": "string"
}{
"error": {
"code": "string",
"message": "string"
},
"message": "string"
}{
"error": {
"code": "string",
"message": "string"
},
"message": "string"
}